Get a Finviz stock quote and snapshot
curl --request POST \
--url https://api.scrapeunblocker.com/finance/finviz-quote \
--header 'x-scrapeunblocker-key: <api-key>'import requests
url = "https://api.scrapeunblocker.com/finance/finviz-quote"
headers = {"x-scrapeunblocker-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-scrapeunblocker-key': '<api-key>'}};
fetch('https://api.scrapeunblocker.com/finance/finviz-quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Plugins
Get a Finviz stock quote and snapshot
Reads the Finviz page for one US-listed symbol and returns snapshot: the page’s table as named numeric fields (peRatio, eps, marketCap, beta, rsi, shortFloatPercent, targetPrice, …; percentages are in fields ending in Percent, as whole percents; ETFs have their own set). Also analystRatings (firm, action, rating, price target), news (headline, source, url, publishedAt in US Eastern), sector, industry, country, exchange, company, website and description.
Get a Finviz stock quote and snapshot
curl --request POST \
--url https://api.scrapeunblocker.com/finance/finviz-quote \
--header 'x-scrapeunblocker-key: <api-key>'import requests
url = "https://api.scrapeunblocker.com/finance/finviz-quote"
headers = {"x-scrapeunblocker-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-scrapeunblocker-key': '<api-key>'}};
fetch('https://api.scrapeunblocker.com/finance/finviz-quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Query Parameters
Response
JSON with snapshot, analystRatings and news.

